View Issue Details

IDProjectCategoryView StatusLast Update
0001561NoesisGUIC++ SDKpublic2019-10-07 10:23
ReporterLarianStudiosAssigned Tosfernandez 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.2.5 
Target Version2.2.6Fixed in Version2.2.6 
Summary0001561: CommandConverter does not support prefixes
DescriptionCan't use a custom command in xaml that is registered in a class that requires using a prefix: "local.MyClass.MyCommand"
Steps To Reproduce
<Grid x:Class="MyNamespace.MyClass"
  xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
  xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
  xmlns:local="clr-namespace:MyNamespace">
    <Grid.CommandBindings>
        <CommandBinding Command="local:MyClass.MyCommand" Executed="OnMyCommand" />
    </Grid.CommandBindings>
    <Button Command="local:MyClass.MyCommand" Content="Raise Command"/>
</Grid>
TagsNo tags attached.
PlatformAny

Activities

sfernandez

sfernandez

2019-10-04 16:54

manager   ~0005980

Fixed in trunk revision 8390.
jsantos

jsantos

2019-10-06 03:01

manager   ~0005981

Trunk is quite unstable right now, could we integrate this into 2.2 sergio?
sfernandez

sfernandez

2019-10-07 10:23

manager   ~0005982

Sure, it is integrated into 2.2 branch in revision 8391.

Issue History

Date Modified Username Field Change
2019-10-04 16:19 sfernandez New Issue
2019-10-04 16:19 sfernandez Assigned To => sfernandez
2019-10-04 16:19 sfernandez Status new => assigned
2019-10-04 16:19 sfernandez Product Version 2.3.0 => 2.2.5
2019-10-04 16:19 sfernandez Target Version => 2.3.0
2019-10-04 16:20 sfernandez Reporter sfernandez => LarianStudios
2019-10-04 16:20 sfernandez View Status public => private
2019-10-04 16:20 sfernandez View Status private => public
2019-10-04 16:54 sfernandez Status assigned => resolved
2019-10-04 16:54 sfernandez Resolution open => fixed
2019-10-04 16:54 sfernandez Fixed in Version => 2.3.0
2019-10-04 16:54 sfernandez Note Added: 0005980
2019-10-06 03:01 jsantos Note Added: 0005981
2019-10-07 10:23 sfernandez Note Added: 0005982
2019-10-07 10:23 sfernandez Fixed in Version 2.3.0 => 2.2.6
2019-10-07 10:23 sfernandez Target Version 2.3.0 => 2.2.6